var Parent = true;
var Client = [];
var TF = null;
var UI = {'TF':null, 'OnClick':false, 'Lang':'', 'ChangeLang':'n', 'Change':'n', 'PN':1, 'Page':'', 'URL':window.location.href, 'FeedFinderMode':'a', 'DiscoverMode':'r', 'TempHTML':'', 'SettingHTML':'', 'TSV':0, 'ViewFN':'0'};

function isDoubleClicked(element){
  //if already clicked return TRUE to indicate this click is not allowed
  if(element.data("isclicked")) return true;

  //mark as clicked for 1 second
  element.data("isclicked", true);
  setTimeout(function (){
    element.removeData("isclicked");
  }, 1000);

  //return FALSE to indicate this click was allowed
  return false;
}

function DetectIE(){
  var ua = window.navigator.userAgent;
  var msie = ua.indexOf('MSIE ');
  if(msie > 0){
    // IE 10 or older => return version number
    return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
  }
  var trident = ua.indexOf('Trident/');
  if(trident > 0){
    // IE 11 => return version number
    var rv = ua.indexOf('rv:');
    return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
  }
  var edge = ua.indexOf('Edge/');
  if(edge > 0){
    // Edge (IE 12+) => return version number
     return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
  }
  return false;
}

var MainFunc = {
  Init : function(){
    Client.Agent = navigator.userAgent.toLowerCase();
    Client.NowURL = window.location.pathname;
    Client.OS = {
      Windows : /win/.test(Client.Agent),
      Mac : /mac/.test(Client.Agent),
      Linux : /linux/.test(Client.Agent),
      Unix : /x11/.test(Client.Agent),
      Mobile : (Client.Agent.match(/mobile|iphone|ipod|ipad|android|lg|samseung|windows ce|blackBerry|symbian|windows phone|webos|opera mini|opera mobi|polaris|iemobile|lgtelecom|nokia|sonyericsson/i) != null) ? true : false, 
      Ios : (Client.Agent.match(/iphone|ipad|ipod/i) != null) ? true : false,
      IsIE : (DetectIE() !== false) ? true : false
    };

    Client.Win = $(window);
    Client.Body = document.body;

    Client.W = $(window).width();
    Client.H = $(window).height();
    Client.SizeParam = "device_size="+Client.W+"x"+Client.H;

    Client.DH = Math.max(
      Client.Body.scrollHeight, document.documentElement.scrollHeight,
      Client.Body.offsetHeight, document.documentElement.offsetHeight,
      Client.Body.clientHeight, document.documentElement.clientHeight
    );

    $('#bt_close').unbind('click');
    $('#bt_close').click(function(e){
      if(isDoubleClicked($(this))) return;
      e.preventDefault();
      e.stopPropagation();
      
      listenMessage({'data':{'mode':'close'}});
    });
    
    var fh = Math.floor(Client.H * 0.99);
    $('#all_out').css({'height':100+'%', 'display':'block'});
    if($('#load_frame').length < 1){

       var load_frame_msg = $('<iframe></iframe>', {
        id:'load_frame',
        frameborder:'0',
        scrolling:'auto',
        src:'https://www.pinrss.com/me?from=ext',
        style:'display:none',
        load:function(){
          MainFunc.LoadFrame();
        }
      });
      $('#all_out').append(load_frame_msg);
      
      setTimeout(function(){
        MainFunc.LoadFrame();
      }, 700);
    }
  },

  LoadFrame : function(){
    $('#preload').remove();
    $('#load_frame').show();
    //$('#bt_close').show();
    $('#all_out').css('background-color', '#fff');
  }
}
function listenMessage(param){
  switch(param.data.mode){
    case 'start' : 
      MainFunc.LoadFrame();
      break;
    case 'check' : 
      var iFrame = document.getElementById('load_frame');
      iFrame.contentWindow.postMessage({
        'mode':'do'
      }, "*");
      break;
    case 'hide_close' : 
      $('#bt_close').hide();
      break;
    case 'show_close' : 
      $('#bt_close').show();
      break;
    case 'close' : 
      chrome.tabs.query({}, function(tabs){
        for(var i=0; i<tabs.length; i++){
          if(tabs[i].url.indexOf('http://') != -1 || tabs[i].url.indexOf('https://') != -1){

            ui_var = {id:tabs[i].id};

            chrome.tabs.executeScript(
              tabs[i].id, 
              {
                code : '('+function(params){
                  
                  if(document.getElementById('__ext_ui_frame__') != null){
                    var el = document.getElementById('__ext_ui_frame__');
                    document.body.removeChild(el);
                    document.body.style.overflow = "auto";
                  }

                  return {
                    success : true, 
                    html : document.body.innerHTML
                  };
                }+')('+JSON.stringify(ui_var)+');'
              }, function(results){

              }
            );
          }
        } 
      });
      break;
  }
}
if(window.addEventListener){
  window.addEventListener("message", listenMessage, false);
} else {
  window.attachEvent("onmessage", listenMessage);
}
$(window).load(function(){MainFunc.Init();});