var NowTab = null;
var BackFunc = {
  Check : function(param){
    NowTab = param;

    chrome.storage.local.get(null, function(items){
      var get_stored_id = items['pinrss_device_id'];
      if(get_stored_id && get_stored_id != ''){
        device_id = get_stored_id;

        if(device_id == 'c81e728d9d4c2f636f067f89cc14862c' || device_id == '0522f5c6ade0b5158ea7ba79ceb4e643'){
          device_id = '';
        }

        if(device_id != null && device_id != ''){
          device_time = items['pinrss_device_time'];
          device_act_num = parseInt(items['pinrss_device_an'], 10);
          
          if(device_time == null || device_time == ''){
            device_time = Math.floor(new Date().getTime() / 1000);
            device_act_num = 0;
            chrome.storage.local.set({'pinrss_device_time':device_time, 'pinrss_device_an':device_act_num});
          }

          BackFunc.Cookie();
          
          if(PinrssData.TotalNew == undefined){
            PinrssFunc.GetInfo({callback:'background', device_id:device_id, runtime_id:runtime_id});
          }
        }else{
          chrome.browserAction.setBadgeBackgroundColor({ color: "#0000cc" });
          chrome.browserAction.setBadgeText({text: "!"});
        }
      }
    });
  },

  State : function(){
    chrome.storage.local.get(null, function(items){
      device_time = items['pinrss_device_time'];
      device_act_num = parseInt(items['pinrss_device_an'], 10);
    });
  },

  Cookie : function(){
    var d = new Date();
    var expires = (d.getTime() / 1000) + (86400 * 7);

    //console.log(device_id+"\n\n"+expires);

    chrome.cookies.set({
      domain: ".pinrss.com",
      url: "https://www.pinrss.com",
      name: "pinrss_device_id",
      value: device_id,
      expirationDate: expires
    });
  },

  CheckAlert : function(param){
    if(device_time == ''){
      device_time = Math.floor(new Date().getTime() / 1000);
      device_act_num = 0;
      chrome.storage.local.set({'pinrss_device_time':device_time, 'pinrss_device_an':device_act_num});
    }else{
      BackFunc.State();
    }

    if((NowTab.url.indexOf('http://') != -1 || NowTab.url.indexOf('https://') != -1) && NowTab.url.indexOf('pinrss.com') == -1){
      var alet_mode = '';
      var max_time_gab = 60 * 60 * 24; //24hours
      
      var is_alert = false;
      var now_device_time = Math.floor(new Date().getTime() / 1000);
      var time_gab = now_device_time - device_time;
      var act_gab = device_act_num % 10;

      //alert(NowTab.url+"\n\n"+now_device_time+" - "+device_time+" > "+time_gab+"\n\n"+device_act_num+" > "+act_gab);

      if(param == null){
        if(time_gab > max_time_gab){
          alet_mode = 'basic_time';
          is_alert = true;
        }
      }else{
        if(act_gab == 9){
          alet_mode = 'find';
          //is_alert = true;
        }else{
          if(time_gab >= max_time_gab){
            alet_mode = 'time_gab';
            //is_alert = true;
          }else{
            device_act_num = device_act_num + 1;
            chrome.storage.local.set({'pinrss_device_time':device_time, 'pinrss_device_an':device_act_num});
          }
        }
      }
      
      if(is_alert == true){
        device_time = now_device_time;
        device_act_num = 0;
        chrome.storage.local.set({'pinrss_device_time':device_time, 'pinrss_device_an':device_act_num});

        //BackFunc.Alert(alet_mode);

        BackFunc.OpenMain({device_id:device_id, runtime_id:runtime_id});
      }
    }
  },

  GoService : function(param){
    if(param != null){
      NowTab = param;
    }

    chrome.storage.local.get('pinrss_device_id', function(item){
      var get_stored_id = item['pinrss_device_id'];
      if(get_stored_id && get_stored_id != ''){
        device_id = get_stored_id;
      }

      if(device_id == 'c81e728d9d4c2f636f067f89cc14862c' || device_id == '0522f5c6ade0b5158ea7ba79ceb4e643'){
        device_id = '';
      }
      
      if(device_id == null || device_id == ''){
        chrome.tabs.create({url: "options.html"});
      }else{
        //BackFunc.Cookie();
        
        BackFunc.OpenMain({device_id:device_id, runtime_id:runtime_id});
        //PinrssFunc.GetInfo({callback:'go_service', device_id:device_id, runtime_id:runtime_id});
      }

    });
  },

  ReadyGo : function(param){
    BackFunc.Hash(param);

    chrome.tabs.query({
      active: true,
      lastFocusedWindow: true
    }, function(tabs){
      // and use that tab to fill in out title and url
      var tab = tabs[0];
      
      if(tab.url.indexOf('pinrss.com') == -1){
        chrome.tabs.create({url: 'https://www.pinrss.com/feedfinder'});
      }else{
        chrome.tabs.update(tab.id, {url: 'https://www.pinrss.com/feedfinder'});
      }
    });
  },

  OpenMain : function(param){
    //BackFunc.Hash(param);
    
    var window_w = parseInt(window.innerWidth, 10);
    //var window_h = parseInt(window.innerHeight, 10) - 20;
    var window_h = parseInt(window.innerHeight, 10);

    var w = "400px";
    var h = 'calc(100vh - 40px)';
    var top = "20px";
    var left = "auto";
    var right = "20px";
    var bottom = "0px";

    var ext_url = chrome.extension.getURL('/pinrss.html');
    var style_msg = "all:unset;position:fixed;z-index:2147483647;top:"+top+";bottom:"+bottom+";left:"+left+";right:"+right+";width:"+w+";height:"+h+";overflow:none;display:block;background-color:#fff;box-shadow: 0 0 20px rgba(0,0,0,.3);border-radius:15px;";
    var msg =  "<iframe id=\"__ext_ui_frame__\" src=\""+ext_url+"\" allowTransparency=\"true\" frameborder=\"0\" scrolling=\"auto\" style=\""+style_msg+"\"></iframe>";

    var ui_var = {};
    var open_blank = false;
    var open_pinrss_id = -1;
    chrome.tabs.query({}, function(tabs){
      var rn = 0;
      var tab_list = [];
      for(var r=0; r<tabs.length; r++){
        if(tabs[r].url.indexOf('pinrss.com') != -1){
          NowTab = tabs[r];
          open_pinrss_id = tabs[r].id;
          break;
        }else{
          if((tabs[r].url.indexOf('http://') != -1 || tabs[r].url.indexOf('https://') != -1) && tabs[r].url.indexOf('pinrss.com') == -1){
            tab_list[rn] = tabs[r];
            rn++;
          }
        }
      }
      var total_tab_list = tab_list.length;
      
      //console.log(JSON.stringify(NowTab));
      if(NowTab.active == true && (NowTab.url.indexOf('.google.') != -1 || NowTab.url.indexOf('pinrss.com') != -1 || (NowTab.url.indexOf('http://') == -1 && NowTab.url.indexOf('https://') == -1))){
        total_tab_list = (NowTab.url.indexOf('pinrss.com') != -1) ? -1 : 0;
      }

      if(open_pinrss_id > -1){
        chrome.tabs.update(open_pinrss_id, { active: true });
      }else{
        if(total_tab_list < 1){
          if(open_blank == false){
            open_blank = true;
            chrome.tabs.create({url: 'https://www.pinrss.com'});
          }
        }else{
          //console.log(NowTab.id);
          //NowTab = tab_list[total_tab_list - 1];
          //console.log(NowTab.id);

          for(var i=0; i<total_tab_list; i++){
            ui_var = {ui:msg, nid:NowTab.id, id:tab_list[i].id, active:tab_list[i].active, this_tab:tab_list[i]};

            //console.log(NowTab.id+" : "+tab_list[i].id+" : "+tab_list[i].active);
            //console.log(JSON.stringify(tab_list[i]));

            chrome.tabs.executeScript(
              tab_list[i].id, 
              {
                allFrames: false,
                code : '('+function(params){
                  console.log(params.nid+" : "+params.id);
                  
                  var el = null;
                  if(document.getElementById('__ext_pop_frame__') != null){
                    el = document.getElementById('__ext_pop_frame__');
                    document.body.removeChild(el);
                  }
                  if(document.getElementById('__ext_ui_frame__') != null){
                    el = document.getElementById('__ext_ui_frame__');
                    document.body.removeChild(el);

                    document.body.style.overflow = "auto";
                  }else{
                    if(params.active == true){
                      open_blank = true;
                      NowTab = params.this_tab;
                      document.body.insertAdjacentHTML('beforeend', params.ui);
                      document.body.style.overflow = "hidden";
                    }
                  }
                  return {
                    success : true
                  };
                }+')('+JSON.stringify(ui_var)+');'
              },  result => {
                const lastErr = chrome.runtime.lastError;
                if(lastErr){
                  console.log(JSON.stringify(lastErr));
                }
              }
            );

            //chrome.tabs.update(NowTab.id, { active: true });
          }
        }
      } 
    });

  },
  
  EndSave : function(param){
    User = param.User;
    PinrssData = param;
    
    var total = PinrssData.TotalNew;
    var total_msg = '';
    if(total > 0){
      total_msg = (total > 100) ? '100+' : total;
    }
    chrome.browserAction.setBadgeBackgroundColor({ color: "#cc3333" });
    chrome.browserAction.setBadgeText({text:total_msg});

    BackFunc.CheckAlert(param);
  },

  Hash : function(param){
    User = param.User;
    PinrssData = param;
    
    var total = PinrssData.TotalNew;
    var total_msg = '';
    if(total > 0){
      total_msg = (total > 100) ? '100+' : total;
    }
    chrome.browserAction.setBadgeBackgroundColor({ color: "#cc3333" });
    chrome.browserAction.setBadgeText({text:total_msg});
  },

  Alert : function(param){
    var window_w = parseInt(window.innerWidth, 10);
    //var window_h = parseInt(window.innerHeight, 10) - 20;
    var window_h = parseInt(window.innerHeight, 10);

    var w = "300px";
    var h = '500px';
    var top = "0px";
    var left = "auto";
    var right = "0px";
    var bottom = "0px";

    var ext_url = chrome.extension.getURL("/popup.html?mode="+param+"&v1="+device_id+"&v2="+runtime_id);
    var style_msg = "all:unset;position:fixed;z-index:2147483648;top:"+top+";bottom:"+bottom+";left:"+left+";right:"+right+";width:"+w+";height:"+h+";overflow:auto;display:block;";
    var msg =  "<iframe id=\"__ext_pop_frame__\" src=\""+ext_url+"\" allowTransparency=\"true\" frameborder=\"0\" scrolling=\"auto\" style=\""+style_msg+"\"></iframe>";

    var ui_var = {};

    chrome.tabs.query({}, function(tabs){
      var rn = 0;
      var tab_list = [];
      for(var r=0; r<tabs.length; r++){
        if((tabs[r].url.indexOf('http://') != -1 || tabs[r].url.indexOf('https://') != -1) && tabs[r].url.indexOf('pinrss.com') == -1 && tabs[r].url.indexOf('.google.') == -1){
          tab_list[rn] = tabs[r];
          rn++;
        }
      }
      var total_tab_list = tab_list.length;

      if(NowTab.active == true && (NowTab.url.indexOf('.google.') != -1 || NowTab.url.indexOf('pinrss.com') != -1 || (NowTab.url.indexOf('http://') == -1 && NowTab.url.indexOf('https://') == -1))){
        total_tab_list = 0;
      }

      if(total_tab_list > 0){
        for(var i=0; i<total_tab_list; i++){

          ui_var = {ui:msg, nid:NowTab.id, id:tab_list[i].id};

          chrome.tabs.executeScript(
            tab_list[i].id, 
            {
              code : '('+function(params){
                var el = null;
                if(document.getElementById('__ext_ui_frame__') != null){
                  el = document.getElementById('__ext_ui_frame__');
                  document.body.removeChild(el);
                }
                if(document.getElementById('__ext_pop_frame__') != null){
                  el = document.getElementById('__ext_pop_frame__');
                  document.body.removeChild(el);
                }else{
                  if(params.nid == params.id){
                    document.body.insertAdjacentHTML('beforeend', params.ui);
                  }
                }
                return {
                  success : true
                };
              }+')('+JSON.stringify(ui_var)+');'
            }, function(results){

            }
          );
        }
      }
    });
  }
}



chrome.extension.onMessage.addListener(function(request, sender, sendResponse){
  tab_id = sender.tab.id;
  get_data = request.data;

  //chrome.storage.local.get('pinrss_device_id', function(item){
    //var get_stored_id = item['pinrss_device_id'];
    //if(get_stored_id && get_stored_id != ''){
      //device_id = get_stored_id;
    
      switch(get_data.mode){
        case 'get_ui' : 
          var param_data = "";
          switch(get_data.dm){
            case 'ui' : 
              param_data = "mode=from_ext&dm=feedfinder&act=a&v="+device_id;
              break;
            case 'adm' : 
              param_data = "mode=feed_list&dm=discover&act=adm";
              break;
            case 'd' : 
              param_data = "mode=feed_list&dm=discover&act=r";
              break;
            default : 
              param_data = "mode=feed_list&dm=feedfinder&act="+get_data.dm+"&v="+device_id;
              break;
          }
          if(get_data.wu != undefined){
            param_data += "&wu="+get_data.wu;
          }
          param_data += "&nf="+get_data.nf+"&lang="+get_data.lang+"&ajax_page="+get_data.pn+"&"+get_data.size_param;
          
          PinrssFunc.LD({'method':'POST', 'data_type':'html', 'param_data':param_data}).then(function(result){
            //console.log(result);
            sendResponse(result);
          });
          break;
        case 'get_info' : 
          sendResponse(PinrssData);
          break;
        case "go_service" : 
          BackFunc.GoService(null);
          break;
        case 'no_feed' : 
          if(get_data.href == NowTab.url){
            BackFunc.CheckAlert(null);
          }
          break;
        case "find" : 
          if(device_id == 'c81e728d9d4c2f636f067f89cc14862c' || device_id == '0522f5c6ade0b5158ea7ba79ceb4e643'){
            device_id = '';
          }
          
          if(device_id != null && device_id != ''){
            BackFunc.Cookie();

            var i, total = 0;
            var act = false;
            var feed_url = "";

            //if(PinrssData.TotalNew != undefined){
              total = get_data.feeds.length;
              
              if(total < 2){
                feed_url = get_data.feeds[0].href;
              }else{
                for(i=0; i<total; i++){
                  if(get_data.feeds[i].href.indexOf('feedburner') != -1){
                    feed_url = get_data.feeds[i].href;
                  }else{
                    if(get_data.feeds[i].href.indexOf('/feed') != -1 && get_data.feeds[i].href.indexOf('/comments/') == -1){
                      feed_url = get_data.feeds[i].href;
                    }
                  }
                }
              }

              if(feed_url == ""){
                feed_url = get_data.feeds[0].href;
              }

              act = true;
              //total = PinrssData.TotalNew;
              //for(i=0; i<total; i++){
                //if(PinrssData.List[i].URL == feed_url){
                  //act = false;
                  //break;
                //}
              //}
            //}

            chrome.browserAction.setBadgeBackgroundColor({ color: "#cc3333" });
            chrome.browserAction.setBadgeText({text: "..."});
            feed = {site_url : get_data.href, url : feed_url};

            if(act == true){
              PinrssFunc.Init('new');
            }else{
              PinrssFunc.Init('old');
            }
          }
          break;
      }

    //}
  //});

  return true;
});

chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab){
  // && tab.url != undefined && tab.url.indexOf('http') != -1 && tab.url.indexOf('pinrss.') != -1
  // chrome://newtab/
  if(changeInfo.status == 'loading' && tab.status == 'loading'){
  //if(changeInfo.status == 'complete' && tab.status == 'complete'){
    BackFunc.Check(tab);
  }
});

chrome.browserAction.onClicked.addListener(function(tab){
  BackFunc.GoService(tab);
});

