var tf = null;
var login_win = null;
var is_guest = true;
var OptionFunc = {
  Init : function(){
    OptionFunc.GetUser();
  },

  GetUser : function(){
    PinrssFunc.GetUser({callback:'option'});
  },
  
  EndUser : function(param){
    var msg = "";
    if(User != null && User.Check != ''){ 
      var user_type = User.Type.substring(0,1).toUpperCase() + User.Type.substring(1);
      
      msg = "- Sync your data with this account";
      $('#bt-start').find('span').html(msg);
      
      $('#login-out').find('h4').html(""+User.ScreenName+"<span>- "+user_type+" Account -</span>");
      
      $('#login-out').find('.sign-bx > i').hide();
      $('#login-out > .sign-bx > i').each(function(i){
        if($(this).prop('class').indexOf(User.Type) != -1){
          $(this).css({"background-image":"url(http:"+User.ProfileImage+"", "background-position":"unset"});
          $(this).show();
        }
      });

      $('#main-out').fadeIn();

      is_guest = false;
      PinrssFunc.SaveDevice({callback:'option', device_id:(device_id == null) ? '' : device_id, runtime_id:runtime_id});
    }else{
      $('#main-out').fadeIn();
      OptionFunc.SetEvent();
    }
  },

  EndSave : function(param){
    OptionFunc.SetEvent();

    if(param == null){
      //
    }else{
      PinrssData = param;

      device_id = param.Device.ID;
      chrome.storage.local.set({'pinrss_device_id':param.Device.ID});
      
      var total = PinrssData.TotalNew;
      var total_msg = '';
      if(total > 0){
        total_msg = (total > 100) ? '100+' : total;
      }
      chrome.browserAction.setBadgeBackgroundColor({ color: "#cc3333" });
      chrome.browserAction.setBadgeText({text:total_msg});

      if(is_guest == true){
        OptionFunc.GoService();
      }
    }
  },

  GoService : function(){
    chrome.tabs.query({
      active: true,
      lastFocusedWindow: true
    }, function(tabs){
      // and use that tab to fill in out title and url
      var tab = tabs[0];
      OptionFunc.OpenMain(tab.id);
    });
  },

  OpenMain : function(now_tab_id){
    var window_w = parseInt(window.innerWidth, 10);
    //var window_h = parseInt(window.innerHeight, 10) - 20;
    var window_h = parseInt(window.innerHeight, 10);

    var w = "400px";
    var h = '100%';
    var top = "0px";
    var left = "auto";
    var right = "0px";
    var bottom = "0px";

    var ext_url = chrome.extension.getURL('/pinrss.html');
    var style_msg = "all:unset;position:fixed;z-index:2147483647;top:"+top+";bottom:"+bottom+";left:"+left+";right:"+right+";width:"+w+";height:"+h+";overflow:auto;display:block;";
    var msg =  "<iframe id=\"__ext_ui_frame__\" src=\""+ext_url+"\" allowTransparency=\"true\" frameborder=\"0\" scrolling=\"auto\" style=\""+style_msg+"\"></iframe>";

    var ui_var = {};

    chrome.tabs.query({}, function(tabs){
      for(var i=tabs.length - 1; i>-1; i--){
        if(now_tab_id != tabs[i].id && tabs[i].url.indexOf('pinrss.com') == -1 && (tabs[i].url.indexOf('http://') != -1 || tabs[i].url.indexOf('https://') != -1)){
          ui_var = {ui:msg, nid:now_tab_id, id:tabs[i].id};
          break;
        }
      }

      if(ui_var.id == undefined){
        chrome.tabs.update(now_tab_id, {url: 'https://www.pinrss.com/feedfinder'});
      }else{
        try{
          chrome.tabs.update(ui_var.id, {selected: true});
          chrome.tabs.executeScript(
            ui_var.id, 
            {
              code : '('+function(params){
                document.body.insertAdjacentHTML('beforeend', params.ui);
                document.body.style.overflow = "hidden";

                //chrome.tabs.update(params.id, {selected: true});
                return {
                  success : true, 
                  html : document.body.innerHTML
                };
              }+')('+JSON.stringify(ui_var)+');'
            }, function(results){
              setTimeout(function(){
                window.close();
              }, 100);
            }
          );
        }catch(e){
          chrome.tabs.update(now_tab_id, {url: 'https://www.pinrss.com/feedfinder'});
        }
      }
    });
    
    
  },

  SetEvent : function(){
    $('#bt-start').unbind('click');
    $('#bt-start').click(function(e){
      e.preventDefault();
      e.stopPropagation();

      if(User != null && User.Check != ''){
        OptionFunc.GoService();
      }else{
        is_guest = true;
        PinrssFunc.SaveDevice({callback:'option', device_id:(device_id == null) ? '' : device_id, runtime_id:runtime_id});
      }
    });

    $('#login-out > .sign-bx > i').each(function(i){
      $(this).unbind('click');
      $(this).click(function(e){
        e.preventDefault();
        e.stopPropagation();
                
        login_win = null;
        var  u = '';
        switch($(this).prop('class')){
          case "sign-twitter" : 
            u = ServiceURL+"/login/twt/?m=ext";
            login_win = window.open(u, 'login_win', 'width=800,height=400,scrollbars=no,resizable=no');
            login_win.focus();
            break;
          case "sign-facebook" : 
            u = ServiceURL+"/login/fb/?m=ext";
            login_win = window.open(u, 'login_win', 'width=600,height=640,scrollbars=no,resizable=no');
            login_win.focus();
            break;
          case "sign-google" : 
            u = ServiceURL+"/login/g/?m=ext";
            login_win = window.open(u, 'login_win', 'width=800,height=400,scrollbars=no,resizable=no');
            login_win.focus();
            break;
          case "sign-linkedin" : 
            u = AppURL+"/login/ln/";
            login_win = window.open(u, 'login_win', 'width=800,height=400,scrollbars=no,resizable=no');
            login_win.focus();
            break;
        }
        tf = setTimeout(function(){OptionFunc.CheckLogin();}, 100);
      });
    });
  },

  CheckLogin : function(){
    clearTimeout(tf);
    tf = null;

    if(typeof(login_win)=='undefined' || login_win.closed){
      PinrssFunc.GetUser({callback:'option'});
    }else{
      tf = setTimeout(function(){OptionFunc.CheckLogin();}, 100);
    }
  }
}
$(window).load(function(){OptionFunc.Init();});